<template>
  <div class="body">
    <v-layout row wrap>
      <v-flex xs12 m6 md4 lg3 v-for="item in arreglo" :key="item.name">
        <div class="card lg:card-side bg-secondary shadow-xl mt-12 mr-44 ml-44">
          <figure class="bg-base-100">
            <img src="\src\assets\ASIST_TAR\Asignaturas2.jpg" alt="Album" />
          </figure>
          <div class="card-body">
            <h2 class="card-title">{{ item.tipoAsignatura }}</h2>
            <p>
              Haga click en el boton para ver los cursos con esta asignatura
            </p>
            <div class="card-actions justify-end">
              <button
                class="btn btn-primary"
                @click="
                  $router.push({
                    path: 'ElegirCurso',
                    query: { asig_id: item.asigId },
                  })
                "
              >
                Ir
              </button>
            </div>
          </div>
        </div>
        <div></div>
      </v-flex>
    </v-layout>
  </div>
</template>

<script>
import axios from "axios";
export default {
  data() {
    return {
      arreglo: [],
    };
  },

  mounted() {
    let ruta = this.$route.path;
    console.log(this.$route.path);
    console.log(this.$route.params.id);
    const fecha = "";
    const hora = "";
    const fechaCompleta = "";
    const msg = "";
    let vue = this;

    axios
      .get(
        "/administracionCursos/asignaturasAsociadasDocente/" +
        localStorage.getItem("userId"),
        {
          headers: {
            Authorization: localStorage.getItem("auth"),
          },
        }
      )
      .then((response) => {
        this.msg = response.data;
        console.log(this.msg);
        vue.arreglo = response.data;
        console.log(response.data);
        this.id = response.data[0].tareaId;

        this.fechaEntrega = this.fecha + this.hora;
      });
  },
  methods: {
    enviarParams(id) {
      const searchURL = new URL(window.location);
      searchURL.window.location.assign("/ElegirCurso");
      searchURL.searchParams.set("asig_id", id);

      window.history.pushState({}, "", searchURL);
    },
  },
};
</script>

<style>
.body {
  height: 100vh;
}
</style>
